Subject: Re: [PATCH] Remove more gcc extension usage.

From: Jan-Benedict Glaw <[email-masked]>
Date: Mon, 10 Jul 2006 09:35:32 +0200

On Mon, 2006-07-10 02:52:08 -0400, Pavel Roskin <[email-masked]> wrote:
> On Mon, 2006-07-10 at 08:25 +0200, Jan-Benedict Glaw wrote:
> > On Mon, 2006-07-10 02:22:03 -0400, Pavel Roskin <[email-masked]> wrote:
> > > This means that the Sun compiler has almost all c99 features used by git
> > > with just a little exception (initializers).  I think it's fair that we
> > > fix this incompatibility.  It's very very minor compared to what "gcc
> > > -std=c89 -pedantic" would have required.
> >   ^^^^^^^^
> > You're kidding, aren't you?
[...]
> We can satisfy the Sun's compiler and yet retain flexible arrays and
> other c99 goodies.
> 
> Maybe I'm missing your point (or you joke).

Why should we jump through the hoops to support an obsolete standard
because proprietary compilers don't stand today's standards?

MfG, JBG

-- 
Jan-Benedict Glaw       [email-masked]    . +49-172-7608481             _ O _
"Eine Freie Meinung in  einem Freien Kopf    | Gegen Zensur | Gegen Krieg  _ _ O
 für einen Freien Staat voll Freier Bürger"  | im Internet! |   im Irak!   O O O
ret = do_actions((curr | FREE_SPEECH) & ~(NEW_COPYRIGHT_LAW | DRM | TCPA));